<?php

// This information has been pulled out of index.php to make the template more readible.
//
// This data goes between the <head></head> tags of the template
// 
// 

$this->addStylesheet($this->baseurl."/templates/".$this->template."/css/template.css");
$this->addStylesheet($this->baseurl."/templates/".$this->template."/css/".$tstyle.".css");
$this->addStylesheet($this->baseurl."/templates/".$this->template."/css/typography.css");
$this->addStylesheet($this->baseurl."/templates/system/css/system.css");
$this->addStylesheet($this->baseurl."/templates/system/css/general.css");
$this->addStylesheet($this->baseurl."/templates/".$this->template."/css/menu-".$mtype.".css");

$inlinestyle = "
	div.wrapper { ".$template_width."padding:0;}
	body { min-width:".$template_real_width."px;}
	#inset-block-left { width:".$leftinset_width."px;padding:0;}
	#inset-block-right { width:".$rightinset_width."px;padding:0;}
	#maincontent-block { margin-right:".$rightinset_width."px;margin-left:".$leftinset_width."px;}
	
	.s-c-s .colmid { left:".$leftcolumn_width."px;}
	.s-c-s .colright { margin-left:-".($leftcolumn_width + $rightcolumn_width)."px;}
	.s-c-s .col1pad { margin-left:".($leftcolumn_width + $rightcolumn_width)."px;}
	.s-c-s .col2 { left:".$rightcolumn_width."px;width:".$leftcolumn_width."px;}
	.s-c-s .col3 { width:".$rightcolumn_width."px;}
	
	.s-c-x .colright { left:".$leftcolumn_width."px;}
	.s-c-x .col1wrap { right:".$leftcolumn_width."px;}
	.s-c-x .col1 { margin-left:".$leftcolumn_width."px;}
	.s-c-x .col2 { right:".$leftcolumn_width."px;width:".$leftcolumn_width."px;}
	
	.x-c-s .colright { margin-left:-".$rightcolumn_width."px;}
	.x-c-s .col1 { margin-left:".$rightcolumn_width."px;}
	.x-c-s .col3 { left:". $rightcolumn_width."px;width:".$rightcolumn_width."px;}
	";
	
	if (rok_isIe(6)) $inlinestyle .= "div.wrapper div.wrapper { width: ".($template_width_only-4)."px; }";
	
$this->addStyleDeclaration($inlinestyle);
?>

<?php if (rok_isIe()) :?>
<!--[if IE 8]>
<style type="text/css">
#horizmenu-surround {width: auto !important;}
</style>
<![endif]-->
<!--[if IE 7]>
<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/template_ie7.css" rel="stylesheet" type="text/css" />	
<![endif]-->	
<?php endif; ?>
<?php if (rok_isIe(6)) :?>
<!--[if lte IE 6]>
<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/template_ie6.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/<?php echo $tstyle; ?>_ie6.css" rel="stylesheet" type="text/css" />
<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/DD_belatedPNG.js"></script>
<script type="text/javascript">
	var pngClasses = ['.png', '.drop-top', '.menutop ul', '#logo', '.show-tm', '.show-tl', '.show-tr', '.show-l', '.show-r', '.show-bm', '.show-bl', '.show-br', '.main-tm', '.main-tl', '.main-tr', '.main-l', '.main-r', '.main-bm', '.main-bl', '.main-br', '.readon1-l', '.readon1-m', '.readon1-r', '#searchmod-surround', '#footer-bg2', '#footer-bg3', 'span.number-circle'];
	
	window.addEvent('domready', function() {
	pngClasses.each(function(fixMePlease) {
		DD_belatedPNG.fix(fixMePlease);
	});
	});
</script>
<style type="text/css">
.module-tm .module-tr {right: expression((this.offsetParent.offsetWidth % 2) ? '-1px' : '0px');}
, .module-bm .module-br {right: expression((this.offsetParent.offsetWidth % 2) ? '-11px' : '-10px');}
</style>
<![endif]-->
<?php endif; ?>
<?php
/* Javascript Hooks for base uri */
	$tmpl_folder = "
		window.templatePath = '$template_path';
		window.uri = '{$this->baseurl}';
		window.currentStyle = '$tstyle';
	";
	$this->addScriptDeclaration($tmpl_folder);
?>
<?php 
if($enable_fontspans=="true") :
    $this->addScript($this->baseurl."/templates/".$this->template."/js/rokfonts.js");
    $rokfonts = 
    "window.addEvent('domready', function() {
		var modules = ['side-mod', 'showcase-panel', 'moduletable', 'article-rel-wrapper'];
		var header = ['h3','h2','h1'];
		RokBuildSpans(modules, header);
	});";
    $this->addScriptDeclaration($rokfonts);
endif;
if(rok_isIe(6) and $enable_ie6warn=="true" and $js_compatibility=="false") : 
    $this->addScript($this->baseurl."/templates/".$this->template."/js/rokie6warn.js");
endif;
$this->addScript($this->baseurl."/templates/".$this->template."/js/rokutils.js");
if($enable_inputstyle == "true" and $js_compatibility=="false" and !rok_isIe(6)) :
    $this->addScript($this->baseurl."/templates/".$this->template."/js/rokutils.inputs.js");
	$exclusionList = "InputsExclusion.push($inputs_exclusion)";
	$this->addScriptDeclaration($exclusionList);
endif;